Bug 11815 - smbcquotas: "NO LIMIT" reported on wrong value
smbcquotas: "NO LIMIT" reported on wrong value
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.4.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-30 11:20 UTC by Uri Simchoni
Modified: 2016-04-20 07:28 UTC (History)
2 users (show)

See Also:


Attachments
a git-am fix for 4.4.next (1.16 KB, patch)
2016-04-01 05:25 UTC, Uri Simchoni
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2016-03-30 11:20:02 UTC
Running:

smbcquotas -u <user> \\server\share -U admin%password

prints "NO LIMIT" if the returned quota is -1, but if the user actually has no quota limit, servers return 0. Thus, "NO LIMIT" is not displayed.
Comment 1 Uri Simchoni 2016-04-01 05:25:30 UTC
Created attachment 11959 [details]
a git-am fix for 4.4.next
Comment 2 Jeremy Allison 2016-04-01 17:40:44 UTC
Comment on attachment 11959 [details]
a git-am fix for 4.4.next

This is only the client fix. Is this all you intended to back-port ?
Comment 3 Uri Simchoni 2016-04-02 17:36:47 UTC
(In reply to Jeremy Allison from comment #2)

Yes, I did not spot a bug per-se in the the server side (the server returns 0 for no-quota, at least on all quota systems that I've tested).

The server patches are cleanups + better behavior for VFS stacking (I have a real use for that with a custom VFS module that depends on a kernel patch and therefore has no chance of landing in master).

Thanks,
Uri.
Comment 4 Jeremy Allison 2016-04-04 18:11:18 UTC
Comment on attachment 11959 [details]
a git-am fix for 4.4.next

OK, fair enough - LGTM.
Comment 5 Jeremy Allison 2016-04-04 18:12:27 UTC
Re-assigning to Karolin for inclusion in 4.4.next.
Comment 6 Karolin Seeger 2016-04-18 10:54:08 UTC
Pushed to autobuild-v4-4-test.
Comment 7 Karolin Seeger 2016-04-20 07:28:07 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-4-test.
Closing out bug report.

Thanks!